const jobs = [
  'butcher', 'blacksmith', 'medic', 'librarian', 'trainer',
  'guard', 'sweeper', 'host', 'merchant', 'administration',
  'sewer', 'lumberjack', 'miner', 'tailor'
];

const youthOccupations = ['student at the academy', 'training as a civilian'];

function getRandomAge(min, max) {
  return Math.floor(Math.random() * (max - min + 1)) + min;
}

function getRandomJob(isYouth = false) {
  if (isYouth) {
    return youthOccupations[Math.floor(Math.random() * youthOccupations.length)];
  }
  return jobs[Math.floor(Math.random() * jobs.length)];
}

document.getElementById('familyForm').addEventListener('submit', function(e) {
  e.preventDefault();
  const familyName = document.getElementById('familyName').value;
  const firstName = document.getElementById('firstName').value;
  
  generateFamilyTree(familyName, firstName);
  document.getElementById('treeContainer').classList.remove('hidden');
});

function generateFamilyTree(familyName, firstName) {
  const familyMembers = {
    grandfather: {
      age: getRandomAge(60, 70),
      relation: 'Grandfather'
    },
    grandmother: {
      age: getRandomAge(60, 70),
      relation: 'Grandmother'
    },
    father: {
      age: getRandomAge(30, 40),
      relation: 'Father',
      job: getRandomJob()
    },
    mother: {
      age: getRandomAge(30, 40),
      relation: 'Mother',
      job: getRandomJob()
    },
    uncle: {
      age: getRandomAge(30, 40),
      relation: 'Uncle',
      job: getRandomJob()
    },
    aunt: {
      age: getRandomAge(30, 40),
      relation: 'Aunt',
      job: getRandomJob()
    },
    brother: {
      age: getRandomAge(10, 20),
      relation: 'Brother',
      job: getRandomJob(true)
    },
    sister: {
      age: getRandomAge(10, 20),
      relation: 'Sister',
      job: getRandomJob(true)
    },
    cousin1: {
      age: getRandomAge(10, 20),
      relation: 'Cousin',
      job: getRandomJob(true)
    },
    cousin2: {
      age: getRandomAge(10, 20),
      relation: 'Cousin',
      job: getRandomJob(true)
    }
  };

  Object.keys(familyMembers).forEach(member => {
    const el = document.querySelector(`.${member}`);
    const person = familyMembers[member];
    el.innerHTML = `
      <h3>${person.relation} ${familyName}</h3>
      <p>Age: ${person.age}</p>
      ${person.job ? `<p>Occupation: ${person.job}</p>` : ''}
    `;
  });

  // Update the "you" element
  document.querySelector('.you').innerHTML = `
    <h3>${firstName} ${familyName}</h3>
    <p>Age: ${getRandomAge(10, 20)}</p>
    <p>Occupation: ${getRandomJob(true)}</p>
    <small>(You)</small>
  `;
}
